---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.228327364218491
        band_11: 0.15895893345438458
        band_12: 0.09701309488124958
        band_2: 0.22733499241700364
        band_3: 0.5265217019450186
        band_4: 0.1937819545495332
        band_5: 0.193826671843688
        band_6: 0.1938432320461402
        band_7: 0.9170944914221191
        band_8: 0.9168941479683376
        band_8a: 0.9173430950022856
      alpha_2:
        band_1: 0.23509517502753263
        band_11: 0.21584788269336364
        band_12: 0.2737143689870998
        band_2: 0.23552593251904932
        band_3: 0.16507252958402135
        band_4: 0.2345492770801758
        band_5: 0.23443398364190124
        band_6: 0.23437882127351517
        band_7: 0.0695268130958644
        band_8: 0.06987473005389656
        band_8a: 0.06945828792639283
      id:
      - 23691373-b7ba-5e79-954f-fd203fa61c02
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - ce24666e-a763-58be-bcaf-54cd8348a1a2
      tier: DEFINITIVE
      value: 3.8599998474121096
  id: f99869d9-d95e-4059-925c-bbc98b4347ae
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1976.5728835374657
      BAND-11: 243.08972035978988
      BAND-12: 85.05054025541777
      BAND-2: 2029.5782712770404
      BAND-3: 1901.8958944947976
      BAND-4: 1552.4872253925657
      BAND-5: 1433.3797423213693
      BAND-6: 1310.5330200035944
      BAND-7: 1204.6099037227505
      BAND-8: 1059.1626329007515
      BAND-8A: 965.5508164679192
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-03-04 01:21:30.523016Z
    atime: 2022-05-26 12:45:30Z
    ctime: 2021-03-04 05:12:24Z
    mtime: 2021-03-04 05:12:21Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20210304T011729_N0209_R088_T53LPC_20210304T023709.zip
  system_information:
    hostname: gadi-cpu-clx-0824.gadi.nci.org.au
    runtime_id: b9d432a0-dcf1-11ec-9c82-0000007efe80
    time_processed: 2022-05-26 12:45:30.452281Z
    uname: 'Linux gadi-cpu-clx-0824.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 4.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 2
  granule: S2B_OPER_MSI_L1C_TL_VGS4_20210304T023709_A020849_T53LPC_N02.09
  ref_date: '2013-07-28T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/071/LC81020712013209LGN00_B6.TIF
  residual:
    abs:
      x: 48.41
      xy: 69.17
      y: 49.4
    abs_iterative_mean:
      x: 49.59
      xy: 70.83
      y: 50.58
    cep90: 71.16
    iterative_mean:
      x: -49.59
      xy: 70.83
      y: -50.58
    iterative_stddev:
      x: 0.02
      xy: 0.8
      y: 0.8
    mean:
      x: -48.41
      xy: 69.17
      y: -49.4
    stddev:
      x: 2.4
      xy: 4.55
      y: 3.87
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 66.95312440474918
    cloud: 32.275664020342795
    cloud_shadow: 0.1982223644474856
    snow: 0.4265037433672929
    water: 0.14648546709324414
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 77.02150036345799
    cloud: 22.978499636542
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
